/*
 *   Bouton avec inversion background et color au hover
 */

.btn_(@btn, @background: red, @color: #fff, @padding: 10px 35px, @border-radius: 30px, @border: 2px solid @background, @font-weight: bold, @text-transform: uppercase) {
    .btn_@{btn} {
        display: inline-block;
        padding: @padding;
        box-sizing: border-box;
        border: @border;
        border-radius: @border-radius;
        font-weight: @font-weight;
        text-transform: @text-transform;
        text-decoration: none;
        text-align: center;
	    background: @background;
	    color: @color;
        cursor: pointer;
        white-space: normal;
        .tr;

        &.external {
            &::before {
                content: '\f360';
                .fas;
                color: @color;
                margin-right: 5px;
            }
        }

        &.image {
            &::before {
                content: '\f1c5';
                .fas;
                font-size: 1.9rem;
                color: @color;
                margin-right: 8px;
            }
        }

        &:hover,
        &:focus,
        &:active {
            background: @color;
            color: @background;

            &::before {
                color: @background !important;
            }
        }
    }
}


